<?php

namespace App\Repositories\LLM;

class AIChunkMessage extends BaseMessage
{
    public ChatEnum $role = ChatEnum::AssistantChunk;

    protected string $last_append = '';

    public function toAIMessage(): AIMessage
    {
        $a = new AIMessage(
            content: $this->content,
        );
        $a->processing = false;

        return $a;
    }

    public function append(string $content): void
    {
        $this->content .= $content;
        $this->last_append = $content;
    }

    public function getLastAppend(): string
    {
        return $this->last_append;
    }
}
